*,
body {
  font-family: Lato !important;
}

body.public {
  background-image: linear-gradient(#1195bb, #015883) !important;
}

body.modal-open {
  height: 100vh !important;
  overflow-y: hidden !important;
  padding-right: 17px !important;
  position: fixed !important;
  width: 100% !important;
}

html {
  -webkit-overflow-scrolling: touch;
  overflow: scroll;
}

body,
.cbResultSetData,
.cbResultSetRecordMessage,
.cbResultSetLabelLink,
tspan,
text,
label,
button,
select,
input,
a,
span,
h1,
h2,
h3,
h4,
h5,
h6,
td,
th,
div,
title,
svg,
p {
  font-family: Lato !important;
}

#accordionSidebar {
  background-image: linear-gradient(to bottom, #1195bb, #015883) !important;
  position: fixed;
  z-index: 2;
}

#accordionSidebar li.nav-item.active {
  background-color: #005883;
}

.modal {
  z-index: 4 !important;
}

.modal-backdrop {
  z-index: 3 !important;
}

.d-md-inline {
  border-top: 1px solid #ffffff1f;
  padding: 20px 0px !important;
  margin: 20px 10px !important;
}

#accordionSidebar a,
#accordionSidebar button,
#accordionSidebar hr,
#accordionSidebar i,
#accordionSidebar span {
  color: #fff !important;
}

#accordionSidebar .collapse-item {
  color: #000000 !important;
}

#accordionSidebar button {
  background-color: #83b8cc !important;
}

.fa,
.far,
.fas {
  font-family: "Font Awesome 5 Free" !important;
}

.sidebar-dark #sidebarToggle::after {
  color: #257ca0 !important;
}

#accordionSidebar hr {
  border: 1px solid #dedede;
}

#accordionSidebar .caspio-logo img {
  width: 80px;
}

#accordionSidebar.toggled .caspio-logo img {
  width: 82px;
}

#topbar {
  background-color: #f2f2f2;
}

#sidebarToggleTop {
  color: #fff !important;
}

.caspio-blue-color {
  background-color: #005883;
}

table[data-cb-name="cbTable"] tbody tr[data-cb-name="header"] th,
.dropdown-item.active,
.dropdown-item:active,
.btn-primary,
.cbResultSetAddButton,
.cbResultSetHeaderCheckBoxCell,
.cbLoginButton,
.cbPasswordResetButton {
  background: #005883 !important;
}

.cbResultSetAddButton:hover,
.btn-primary:hover,
.cbLoginButton:hover,
.cbPasswordResetButton:hover {
  background: #174478 !important;
}

.page-header {
  color: #005883 !important;
}

/* .highcharts-container {
    width: 100% !important;
}

.highcharts-root {
    width: 100% !important;
} */

.loader {
  position: absolute;
  height: 100%;
  background: rgb(255, 255, 255, 0.7);
  z-index: 9999;
  width: 100%;
  display: none;
}

.loader img {
  top: 35%;
  left: 50%;
  position: fixed;
}

#nav-user-fullname {
  color: #000 !important;
}

.user-icon {
  background: #f2f2f2 !important;
}

#sidebarToggleTop i {
  color: #686868;
}

.content-left-margin-0 {
  margin-left: 0px !important;
}

.content-left-margin-224 {
  margin-left: 224px !important;
}

.content-left-margin-104 {
  margin-left: 104px !important;
}

.left-div {
  width: 16rem;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.cbUpdateButtonContainer input[name="Mod0EditRecord"] {
  background-color: #f6c23e !important;
}

@media (max-width: 767px) {
  #content-wrapper {
    margin-left: 104px;
  }

  #accordionSidebar .caspio-logo img {
    width: 82px !important;
  }

  #sidebarToggle {
    display: none;
  }

  .public-wrapper {
    margin-top: 60px !important;
  }
}

@media (min-width: 768px) {
  .left-div {
    width: 16rem;
  }

  #content-wrapper {
    margin-left: 224px;
  }

  #sidebarToggle {
    display: inline;
  }
}

/*--------------------- Public ----------------------*/

.public-wrapper {
  margin-top: 160px;
}

.reset-password-wrapper {
  padding: 20px 40px;
  height: 546px;
  overflow: auto;
}

.login-wrapper {
  margin-top: 76px;
  padding: 20px;
  height: 500px;
  overflow: auto;
}

.login-container {
  margin-top: 50px;
}

.bg-reset-password-image {
  background: url("../img/image-4.jpg");
  background-position: center;
  background-size: cover;
}

.bg-login-image {
  background: url("../img/image-3.jpg");
  background-position: center;
  background-size: cover;
}

form#caspioform > div {
  width: 100%;
}

form#caspioform > div > section {
  width: 100%;
}

.cbPasswordResetButton,
.cbLoginButton {
  width: 100%;
  margin: 0px !important;
  text-transform: capitalize !important;
}

input[type="text"],
input[type="password"],
select {
  border: 1px solid #d1d3e2 !important;
}

img.caspio-logo {
  max-width: 300px;
  max-height: 100px;
}

.cbFormData input[name="EditRecordMU_User_PhotoRemove"] {
  margin: 0 5px;
}

@media (max-width: 600px) {
  .public-wrapper > div > div {
    height: 500px !important;
  }
}

/*--------------------- Employee Directory ----------------------*/

section[data-cb-name="cbTable"] {
  background: transparent;
}

/* for middle aligned label */
.cbFormLabelCell {
  margin: auto 0 !important;
}

.cb-search-container .cbSubmitButtonContainer,
.cb-search-container section[data-cb-name="cbTable"] > .cbFormLabelCell {
  display: none !important;
}

@media (min-width: 1025px) {
  .cb-search-container section[data-cb-name="cbTable"] {
    display: block;
  }

  .cb-search-container section[data-cb-name="cbTable"] > div {
    /* float: left; */
    grid-row: none;
    grid-column: none;
    grid-auto-columns: unset;
  }

  .cb-search-container section[data-cb-name="cbTable"] > div > div {
    float: left;
  }
}

.cbResultSetActionCell a {
  text-decoration: none !important;
}

.cbResultSetActionCell a[data-cb-name="DetailsLink"] {
  background-color: #36b9cc;
  border-color: #36b9cc;
}

.cbResultSetActionCell a[data-cb-name="DetailsLink"]:hover {
  background-color: #174478 !important;
  border-color: #174478 !important;
}

.cbSubmitButtonContainer .cbSubmitButton {
  background-color: #005883 !important;
  border-color: #005883 !important;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.cbSubmitButtonContainer .cbSubmitButton:hover {
  background-color: #174478 !important;
  border-color: #174478 !important;
}

.cbResultSetActionCell a[data-cb-name="InlineEdit"],
input[name$="InlineEdit"],
.cbBackButtonContainer .cbUpdateButton,
.cbUpdateButtonContainer input[name="Mod0EditRecord"] {
  background: #f6c23e !important;
  border-color: #f6c23e !important;
}

.cbResultSetActionCell a[data-cb-name="InlineEdit"]:hover,
input[name$="InlineEdit"]:hover,
.cbBackButtonContainer .cbUpdateButton:hover,
.cbUpdateButtonContainer input[name="Mod0EditRecord"]:hover {
  background-color: #ffca2c !important;
  border-color: #ffca2c !important;
}

input[name$="InlineEdit"],
input[name$="InlineEditCancel"] {
  padding: 2px 10px !important;
  margin-right: 5px;
}

.cbResultSetActionCell a[data-cb-name="InlineDelete"],
.cbBackButtonContainer .cbDeleteButton,
input[name$="InlineEditCancel"] {
  background: #dc3545 !important;
  border-color: #dc3545 !important;
}

.cbResultSetActionCell a[data-cb-name="InlineDelete"]:hover,
.cbBackButtonContainer .cbDeleteButton:hover,
input[name$="InlineEditCancel"]:hover {
  color: #fff;
  background-color: #e02d1b !important;
  border-color: #d52a1a !important;
}

.cbResultSetActionCell a,
.btn-info {
  display: inline-block;
  font-weight: 400;
  color: #fff !important;
  border: 1px solid transparent;
  padding: 2px 10px !important;
  font-size: 14px;
  line-height: 1.5;
  border-radius: 0.2rem !important;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-info:hover {
  background-color: #36b9cc;
  border-color: #36b9cc;
}

select {
  height: 35px;
}

.cb-result-container {
  float: left;
  width: 100%;
}

.cb-search-button-container {
  margin-top: 27px;
}

.cb-search-button-container button {
  margin-bottom: 10px;
}

.cbBackButtonContainer .cbUpdateButton,
.cbBackButtonContainer .cbDeleteButton {
  color: #fff !important;
}

.add-button-container {
  margin-bottom: 15px;
}

.cb-results-container select.cbResultSetSelect {
  height: 37px !important;
}

.cb-results-container .BodyCtnr .Edit select {
  height: 29.5px !important;
}

#inlineActions .RAItem span {
  padding: 5px !important;
}

#inlineActions
  .RAItem
  span
  .cbResultSetActionsLinks[data-cb-name="DetailsLink"],
#inlineActions
  .RAItem
  span
  .cbResultSetActionsLinks[data-cb-name="InlineEdit"] {
  color: #027faa !important;
  background-color: transparent;
}

#inlineActions
  .RAItem
  span
  .cbResultSetActionsLinks[data-cb-name="InlineDelete"] {
  color: #dc3545 !important;
  background-color: transparent !important;
}

/* Overrides on gridview to take 100% width Start*/
.cbGridCtnr > .HeadCtnr > .Table {
  width: 100% !important;
}

.cbGridCtnr > .BodyCtnr > .Table {
  width: 100% !important;
}

/* Overrides on gridview to take 100% width End */

.reset-password-wrapper .cbSubmitButton {
  width: 80% !important;
  min-width: 80% !important;
}

@media (min-width: 1025px) and (max-width: 1240px) {
  .cb-detail-container .cbBackButtonContainer input {
    margin-top: 5px !important;
  }
}

@media (min-width: 577px) and (max-width: 1024px) {
  #BulkUpdateFormBody section[data-cb-name="cbTable"] {
    width: 100% !important;
  }

  .cbFormData input[name="EditRecordMU_User_PhotoRemove"] {
    margin: 0;
  }
}

/* adds padding on the editable fields, and button */
input[type="text"],
input[type="submit"],
select,
button {
  padding: 6px !important;
}

.Selected .cbResultSetCheckBoxCell {
  vertical-align: middle !important;
}

footer.sticky-footer {
  background-color: #f8f9fc !important;
}

/*Separated search filter*/
.dpFilter .cbSubmitButtonContainer {
  display: none !important;
}

.dpFilter .cb-search-button-container {
  margin-top: 37px !important;
}

.dpFilter .cbFormNestedTableContainer {
  padding: 10px 0px 10px 0px !important;
}

.dpFilter .cbHTMLBlockContainer {
  padding: 7px 15px 0px 5px !important;
}

.dropdown-menu {
  list-style-type: none !important;
}

.bootstrap-select.cbFormSelect {
  width: 100% !important;
  padding: 0px !important;
}

.btn-xs {
  display: inline-block !important;
  color: #fff !important;
  border: 1px solid transparent !important;
  padding: 2px 10px !important;
  font-size: 14px !important;
  border-radius: .2rem !important;
}

.card-body section {
  grid-auto-columns: minmax(0, 1fr);
  grid-auto-flow: column;
}

#caspioform .cbFormDataLink {
  text-wrap: auto !important;
}

.d-none {
  display: none !important;
}

#InsertRecordSecondary_Location_IDs,
#EditRecordSecondary_Location_IDs {
  display: none !important;
}

.cbSearchButtonContainer{
  display: none !important;
}

#pendingReviewContent .cbResultSetData:nth-child(10),
#pendingReviewContent .cbResultSetHeaderCell:nth-child(10){
  display: none !important;
}